Bug 1010695 - RFE: qt5 translation files are missing
RFE: qt5 translation files are missing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qt5-qtbase (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: FutureFeature
Depends On: qt5-qttranslations
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-22 11:24 EDT by tsteven4
Modified: 2013-10-17 14:06 EDT (History)
7 users (show)

See Also:
Fixed In Version: qt5-qttranslations-5.1.1-1.el6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-09 10:39:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tsteven4 2013-09-22 11:24:45 EDT
Description of problem: qt5 translation files are missing


Version-Release number of selected component (if applicable):
5.1.1-6.fc18

How reproducible:
100%

Steps to Reproduce:
1.find the directory the translations should be installed in with "qmake-qt5 -query QT_INSTALL_TRANSLATIONS"
2.note this directory (/usr/share/qt5/translations) is empty.
3.

Actual results:
directory is empty

Expected results:
the directory should contain
assistant_cs.qm
assistant_da.qm
assistant_de.qm
assistant_fr.qm
assistant_hu.qm
assistant_ja.qm
assistant_ko.qm
assistant_pl.qm
assistant_ru.qm
assistant_sk.qm
assistant_sl.qm
assistant_uk.qm
assistant_zh_CN.qm
assistant_zh_TW.qm
designer_cs.qm
designer_de.qm
designer_fr.qm
designer_hu.qm
designer_ja.qm
designer_ko.qm
designer_pl.qm
designer_ru.qm
designer_sk.qm
designer_sl.qm
designer_uk.qm
designer_zh_CN.qm
designer_zh_TW.qm
linguist_cs.qm
linguist_de.qm
linguist_fr.qm
linguist_hu.qm
linguist_ja.qm
linguist_ko.qm
linguist_pl.qm
linguist_ru.qm
linguist_sk.qm
linguist_sl.qm
linguist_uk.qm
linguist_zh_CN.qm
linguist_zh_TW.qm
qmlviewer_cs.qm
qmlviewer_hu.qm
qmlviewer_ru.qm
qmlviewer_sk.qm
qmlviewer_uk.qm
qt_ar.qm
qtbase_cs.qm
qtbase_de.qm
qtbase_hu.qm
qtbase_ru.qm
qtbase_sk.qm
qtbase_uk.qm
qtconfig_hu.qm
qtconfig_ja.qm
qtconfig_ko.qm
qtconfig_pl.qm
qtconfig_ru.qm
qtconfig_sk.qm
qtconfig_sl.qm
qtconfig_uk.qm
qtconfig_zh_CN.qm
qtconfig_zh_TW.qm
qt_cs.qm
qt_da.qm
qtdeclarative_de.qm
qtdeclarative_ru.qm
qtdeclarative_sk.qm
qtdeclarative_uk.qm
qt_de.qm
qt_es.qm
qt_fa.qm
qt_fr.qm
qt_gl.qm
qt_help_cs.qm
qt_help_da.qm
qt_help_de.qm
qt_help_fr.qm
qt_help_gl.qm
qt_help_hu.qm
qt_help_ja.qm
qt_help_ko.qm
qt_help_pl.qm
qt_help_ru.qm
qt_help_sk.qm
qt_help_sl.qm
qt_help_uk.qm
qt_help_zh_CN.qm
qt_help_zh_TW.qm
qt_he.qm
qt_hu.qm
qt_ja.qm
qt_ko.qm
qt_lt.qm
qtmultimedia_cs.qm
qtmultimedia_de.qm
qtmultimedia_hu.qm
qtmultimedia_ru.qm
qtmultimedia_sk.qm
qtmultimedia_uk.qm
qt_pl.qm
qt_pt.qm
qtquick1_cs.qm
qtquick1_de.qm
qtquick1_hu.qm
qtquick1_ru.qm
qtquick1_sk.qm
qtquick1_uk.qm
qt_ru.qm
qtscript_cs.qm
qtscript_de.qm
qtscript_hu.qm
qtscript_ru.qm
qtscript_sk.qm
qtscript_uk.qm
qt_sk.qm
qt_sl.qm
qt_sv.qm
qt_uk.qm
qtxmlpatterns_cs.qm
qtxmlpatterns_de.qm
qtxmlpatterns_hu.qm
qtxmlpatterns_ru.qm
qtxmlpatterns_sk.qm
qtxmlpatterns_uk.qm
qt_zh_CN.qm
qt_zh_TW.qm

Additional info:
It is not clear to me what packages these files should be included in.  In Qt4 they were in qt-devel.  For mingw they are in mingw64-qt5-qttranslations.
Comment 1 Rex Dieter 2013-09-22 16:03:02 EDT
qt5-translations package still needs to be packaged and reviewed, marking RFE
Comment 2 Fedora Update System 2013-09-30 13:01:28 EDT
qt5-qttranslations-5.1.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qt5-qttranslations-5.1.1-1.fc20
Comment 3 Fedora Update System 2013-09-30 13:03:15 EDT
qt5-qttranslations-5.1.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qt5-qttranslations-5.1.1-1.fc19
Comment 4 Fedora Update System 2013-09-30 13:04:08 EDT
qt5-qttranslations-5.1.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qt5-qttranslations-5.1.1-1.fc18
Comment 5 Fedora Update System 2013-09-30 13:04:55 EDT
qt5-qttranslations-5.1.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/qt5-qttranslations-5.1.1-1.el6
Comment 6 Fedora Update System 2013-09-30 22:06:01 EDT
qt5-qttranslations-5.1.1-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 7 Fedora Update System 2013-10-09 10:39:32 EDT
qt5-qttranslations-5.1.1-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 8 Fedora Update System 2013-10-09 21:06:22 EDT
qt5-qttranslations-5.1.1-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 9 Fedora Update System 2013-10-09 21:13:44 EDT
qt5-qttranslations-5.1.1-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 10 Fedora Update System 2013-10-17 14:06:26 EDT
qt5-qttranslations-5.1.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.